Index: src/pixman-xserver-compat.h
===================================================================
RCS file: /cvs/cairo/libpixman/src/pixman-xserver-compat.h,v
retrieving revision 1.6
diff -p -u -r1.6 pixman-xserver-compat.h
--- src/pixman-xserver-compat.h	25 Jun 2005 22:03:17 -0000	1.6
+++ src/pixman-xserver-compat.h	1 Aug 2005 20:17:45 -0000
@@ -78,14 +78,24 @@ typedef pixman_triangle_t	xTriangle;
 /* XXX: We changed some function and field names which makes for some
  * ugly hacks... */
 #define pDrawable pixels
-#define fbGetDrawable(pDrawable, pointer, stride, bpp, xoff, yoff) { \
+#define fbGetDrawable(pDrawable, buf, outstride, outbpp, xoff, yoff) { \
     (buf) = (pDrawable)->data; \
-    (stride) = ((int) pDrawable->stride) / sizeof (pixman_bits_t); \
-    (bpp) = (pDrawable)->bpp; \
+    (outstride) = ((int) pDrawable->stride) / sizeof (pixman_bits_t); \
+    (outbpp) = (pDrawable)->bpp; \
     (xoff) = 0; \
     (yoff) = 0; \
 }
 
+/* Extended repeat attributes included in 0.10 */
+#define RepeatNone                          0
+#define RepeatNormal                        1
+#define RepeatPad                           2
+#define RepeatReflect                       3
+
+typedef struct _PictVector {
+    xFixed	    vector[3];
+} PictVector, *PictVectorPtr;
+
 /* Then, include any header files that have been copied directly
  * from xserver. */
 
